%define	upstream_name	 libwww-perl
%define upstream_version 6.04

%define	_requires_exceptions Authen::NTLM\\|HTTP::GHTTP\\|Win32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The World-Wide Web library for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(Encode::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Listing) >= 6.0.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTTP::Cookies) >= 6.0.0
BuildRequires: perl(HTTP::Daemon) >= 6.0.0
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Negotiate) >= 6.0.0
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(HTTP::Request::Common) >= 6.0.0
BuildRequires: perl(HTTP::Response) >= 6.0.0
BuildRequires: perl(HTTP::Status) >= 6.0.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(Net::FTP) >= 2.580.0
BuildRequires: perl(Net::HTTP) >= 6.0.0
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(WWW::RobotRules) >= 6.0.0
BuildArch:  noarch

%description
The libwww-perl collection is a set of Perl modules which provides a simple and
consistent application programming interface (API) to the World-Wide Web. The
main focus of the library is to provide classes and functions that allow you to
write WWW clients. The library also contain modules that are of more general
use and even classes that help you implement simple HTTP servers.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/yes | %{__perl} Makefile.PL --aliases INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc AUTHORS Changes META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.40.0-2.mga3
+ Revision: 375485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.40.0-1.mga2
+ Revision: 212975
- update to 6.04

* Thu Nov 03 2011 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 162222
- update to 6.03

* Sat Jun 11 2011 spuhler <spuhler> 6.20.0-2.mga2
+ Revision: 103992
- increase rel for rebuild

* Mon Apr 04 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 80371
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67424
- update to 6.01

* Wed Jan 19 2011 jquelin <jquelin> 5.837.0-2.mga1
+ Revision: 24234
- rebuild
- fix specs

* Thu Jan 13 2011 jquelin <jquelin> 5.837.0-1.mga1
+ Revision: 12453
- imported package perl-libwww-perl

